package jp.co.headwaters.webappos.controller.cache.bean;

import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

public abstract class AbstractFunctionBean implements Serializable {

	private static final long serialVersionUID = -1517541717871462333L;

	@JsonProperty("METHOD")
	private String method;
	@JsonProperty("TARGET")
	private String target;
	@JsonProperty("RESULT")
	private String result;
	@JsonProperty("OFFSET")
	private String offset;
	@JsonProperty("LIMIT")
	private String limit;
	@JsonProperty("PAGER")
	private PagerBean pager;
	@JsonProperty("COND")
	private List<ConditionBean> conds;
	@JsonProperty("SORT")
	private List<String> sorts;

	public String getMethod() {
		return this.method;
	}

	public void setMethod(String method) {
		this.method = method;
	}

	public String getTarget() {
		return this.target;
	}

	public void setTarget(String target) {
		this.target = target;
	}

	public String getResult() {
		return this.result;
	}

	public void setResult(String result) {
		this.result = result;
	}

	public String getOffset() {
		return this.offset;
	}

	public void setOffset(String offset) {
		this.offset = offset;
	}

	public String getLimit() {
		return this.limit;
	}

	public void setLimit(String limit) {
		this.limit = limit;
	}

	public PagerBean getPager() {
		return this.pager;
	}

	public void setPager(PagerBean pager) {
		this.pager = pager;
	}

	public List<ConditionBean> getConds() {
		return this.conds;
	}

	public void setConds(List<ConditionBean> conds) {
		this.conds = conds;
	}

	public List<String> getSorts() {
		return this.sorts;
	}

	public void setSorts(List<String> sorts) {
		this.sorts = sorts;
	}
}
